package com.fjhx.service.factory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.factory.FactoryProduct;
import com.fjhx.params.factory.FactoryProductVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-14
 */
public interface FactoryProductService extends BaseService<FactoryProduct> {

    Page<FactoryProduct> getPage(Map<String, Object> condition);

    void add(FactoryProductVo factoryProductVo);

    void edit(FactoryProductVo factoryProductVo);

    void delete(FactoryProductVo factoryProductVo);

}
